Skip to main content
GET
/
sessions
/
{session_id}
/
workflow
/
code
Get Session Script
curl --request GET \
  --url https://api.example.com/sessions/{session_id}/workflow/code \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.example.com/sessions/{session_id}/workflow/code"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.example.com/sessions/{session_id}/workflow/code', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "python_script": "<string>",
  "json_actions": [
    {}
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-notte-request-origin
string | null
x-notte-sdk-version
string | null

Path Parameters

session_id
string
required

Query Parameters

as_workflow
boolean
required

Whether to return code as standalone workflow or just relevant instructions

infer_response_format
boolean
default:false

Whether to infer response_format schema for scrape calls that have instructions but no schema

Response

Successful Response

python_script
string
required

Python script to replicate agent steps

json_actions
Json Actions · object[]
required

Json actions to replicate agent steps